1

I have downloaded the Tplink wm722n V2 driver from the tplink website. when i tried to 'make' it give me a error...

"******************************************"
"NO SKRC,we will use default KSRC"
"******************************************"
make ARCH=i386 CROSS_COMPILE= -C /lib/modules/4.9.0-kali3-686-pae/build M=/root/Desktop/kernel-master/drivers/TL-WN722N_v2.0-Ralink/rtl8188EUS_linux_v4.3.0.8_13968.20150417-target-kernel_4.4  modules
make[1]: *** /lib/modules/4.9.0-kali3-686-pae/build: No such file or directory.  Stop.
Makefile:1367: recipe for target 'modules' failed
make: *** [modules] Error 2

I have also tried it with another driver from git.. https://github.com/mfruba/kernel/tree/master/drivers/TL-WN722N_v2.0-Ralink

It also gave me the same error... i just noticed that there is no build directory in /lib/modules/4.9.0-kali3-686-pae/build (there is no build folder there)

Can anyone help me out please..

  • Start my fixing the given error. Check that the linux-headers package are installed for the kernel 4.9.0-kali3-686-pae. If yes, try mkdir /lib/modules/4.9.0-kali3-686-pae/build – Gohu Jul 4 '17 at 7:20
  • i have installed the headers using "apt-get install linux-headers-4.9.0-kali4-686-pae" command.. do i also need to install "4.9.0-kali3-686-pae" one? – Raj.S Jul 6 '17 at 13:36
  • when i try.. "apt install linux-headers-4.9.0-kali3-686-pae" its give error... Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package linux-headers-4.9.0-kali3-686-pae E: Couldn't find any package by glob 'linux-headers-4.9.0-kali3-686-pae' E: Couldn't find any package by regex 'linux-headers-4.9.0-kali3-686-pae' – Raj.S Jul 6 '17 at 13:43
  • apt-get update; apt-cache search linux-headers should give you available linux-headers packages. – Gohu Jul 6 '17 at 13:47
  • yeah i did that it says already installed... ... But when i tried to make again it gives... make make ARCH=i386 CROSS_COMPILE= -C /lib/modules/4.9.0-kali3-686-pae/build M=/root/tmp/rtl8188eu modules make[1]: *** /lib/modules/4.9.0-kali3-686-pae/build: No such file or directory. Stop. Makefile:151: recipe for target 'modules' failed make: *** [modules] Error 2 – Raj.S Jul 7 '17 at 16:41

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.